var Router = Backbone.Router.extend({
	routes: {
		"rysunek/:id": "pgRysunek",
		"rysunek"    : "pgRysunek",
		"opis"       : "pgOpis",
		"welcome"    : "pgWelcome",
		""           : "pgWelcome"
	},

	reset: function()
	{
		$('#menurysuj').addClass('hide');
		$('#menukolor').addClass('hide');
		$('#liUndo').addClass('hide');
		$('#drwsubmenu').addClass('hide');
		$('#opis').addClass('hide');
		$('#welcome').addClass('hide');
		$('#rysunek').addClass('hide');
		$('#m_opis').removeClass('active');
		$('#m_welcome').removeClass('active');
		$('#m_rysunek').removeClass('active');
	},
	setmenu: function(element)
	{
		this.reset();
		$('#'+element).removeClass('hide');
		$('#m_'+element).addClass('active');
	},
	pgOpis: function ()
	{
		this.setmenu('opis');
	},
	pgWelcome: function ()
	{
		this.setmenu('welcome');
	},
	pgRysunek: function (id)
	{
		this.setmenu('rysunek');
		$('#liUndo').removeClass('hide');
		$('#menurysuj').removeClass('hide');
		$('#menukolor').removeClass('hide');
		$('#drwsubmenu').removeClass('hide');
		if(id=='symetria%20nietranslacyjna')
			id='symetria nietranslacyjna';
		var idx=$.inArray(id, App.SGroups['grpl']);
		if(idx>=0)
		{
			groupSetup(idx,id);
		}
	}
})